Package org.gradle.api.specs

# Class NotSpec<T>

java.lang.Object
org.gradle.api.specs.NotSpec<T>

Type Parameters:
  `T` - The target type for this Spec

All Implemented Interfaces:
  `Spec<T>`

public class NotSpec<T> extends Object implements Spec<T>
A `Spec` implementation which negates another `Spec`.

## Constructor Summary

Constructors
Constructor
Description
`NotSpec(Spec<? super T> sourceSpec)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isSatisfiedBy(T element)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NotSpec

public NotSpec(Spec<? super T> sourceSpec)

## Method Details

### isSatisfiedBy

public boolean isSatisfiedBy(T element)

Specified by:
  `isSatisfiedBy` in interface `Spec<T>`